# Class ImageRun

#### Hierarchy

- Run
  - ImageRun

- Defined in src/file/paragraph/run/image-run.ts:18

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new ImageRun(options: IImageOptions): ImageRun

- #### Parameters

  - ##### options: IImageOptions

  #### Returns ImageRun

  Overrides Run.constructor

  - Defined in src/file/paragraph/run/image-run.ts:22

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from Run.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Overrides Run.prepForXml

  - Defined in src/file/paragraph/run/image-run.ts:47

Generated using TypeDoc